|  | Home | Documentation | soap_cookie Struct Reference updated by Robert van Engelen |

soap_cookie Struct Reference
HTTP cookie functions

Cookie structure. More...

`#include <stdsoap2.h>`

## Public Attributes

struct soap_cookie * | next
| next cookie in linked list or NULL
char * | name
| cookie name
char * | value
| cookie value
char * | domain
| cookie domain
char * | path
| cookie path
ULONG64 | expire
| local time to expire (value cast to time_t)
long | maxage
| server-side: seconds to expire
unsigned int | version
| cookie version value
short | secure
| HTTPS secure cookie.
short | session
| server-side: this is session cookie
short | env
| server-side: got cookie from a client, do not sent to clients
short | modified
| server-side: client cookie was modified and should be sent to clients

## Detailed Description

Cookie structure.

Each soap context has its own independent cookie store with up to soap::cookie_max cookies.

## Member Data Documentation

## ◆ domain

char* soap_cookie::domain

cookie domain

## ◆ env

short soap_cookie::env

server-side: got cookie from a client, do not sent to clients

## ◆ expire

ULONG64 soap_cookie::expire

local time to expire (value cast to time_t)

## ◆ maxage

long soap_cookie::maxage

server-side: seconds to expire

## ◆ modified

short soap_cookie::modified

server-side: client cookie was modified and should be sent to clients

## ◆ name

char* soap_cookie::name

cookie name

## ◆ next

struct soap_cookie* soap_cookie::next

next cookie in linked list or NULL

## ◆ path

char* soap_cookie::path

cookie path

## ◆ secure

short soap_cookie::secure

HTTPS secure cookie.

## ◆ session

short soap_cookie::session

server-side: this is session cookie

## ◆ value

char* soap_cookie::value

cookie value

## ◆ version

unsigned int soap_cookie::version

cookie version value